package data;

import java.awt.geom.AffineTransform;
import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;
import java.util.List;
import gui.WindowInterface;

public class BL {
  public static void generateLabels(AffineTransform at,
      int fontSize, int labelAreaWidth, double labelAreaX) {
    if (Holder.INSTANCE.labels == null || Holder.INSTANCE.labels.size() == 0) {
      return;
    }

    int rectangleBoxSize = getRectangleSize(fontSize);

    // first generate a rectangle box for each of the label
    Point2D p;
    for(Label label: Holder.INSTANCE.labels) {
//      p = at.transform(label, null);
      p = at.transform(new Point2D.Double(label.x, label.boundaryY), null);
//      double x = WindowInterface.PAINT_AREA_WIDTH+2;
      label.labelRectangle = new Rectangle2D.Double(labelAreaX, p.getY() - fontSize + 3,
          labelAreaWidth - 4, rectangleBoxSize);
    }
  }

  public static int getRectangleSize(int fontSize) {
    return fontSize + 4;
  }
}
