package data;

import java.util.*;

public class BinaryTreeIterator<T> implements Iterator<T> {
  Stack<BinaryTree<T>> st = new Stack<BinaryTree<T>>();

  public BinaryTreeIterator(BinaryTree<T> t) {
    st.push(t);
  }
  public BinaryTreeIterator() {
  }
  public boolean hasNext() {
    return !st.empty();
  }
  public T next() {
    BinaryTree<T> t = st.peek();
    T res = t.getValue();
    if (t.getLeft()!=null) {
      st.push(t.getLeft());
    } else if (t.getRight()!=null) {
      st.push(t.getRight());
    } else {
      t = st.pop();
      while(!st.empty()) {
        BinaryTree<T> u = st.peek();
        if (t==u.getLeft() && u.getRight()!=null) {
          st.push(u.getRight());
          break;
        }
        t = st.pop();
      }
    }
    return res;
  }
  public void remove() {
  }
}
